<template>
    <div class="marketTop__mobileSorting mobile marketTop__box ">
        <svg width="25" height="14" viewbox="0 0 25 14" fill="none" xmlns="http://www.w3.org/2000/svg">
            <rect x="25" width="2" height="13" rx="1" transform="rotate(90 25 0)" fill="#FF5C00"></rect>
            <rect x="22" y="6" width="2" height="10" rx="1" transform="rotate(90 22 6)" fill="#FF5C00"></rect>
            <rect x="18" y="12" width="2" height="6" rx="1" transform="rotate(90 18 12)" fill="#FF5C00"></rect>
            <path d="M5 14L9.33013 6.5L0.669872 6.5L5 14ZM4.25 -3.27834e-08L4.25 7.25L5.75 7.25L5.75 3.27834e-08L4.25 -3.27834e-08Z" fill="#FF5C00"></path>
        </svg>
        <div class="marketTop__sorting-choose">
            <a @click.prevent="store.sortPosition = !store.sortPosition"
               class="marketTop__search-popularSearch--item" href="">
                {{ store.item[Number(store.sortPosition)] }}
            </a>
        </div>
    </div>
    <div class="marketTop__sorting noMobile">
        <div  class="marketTop__sorting-sorting">
            <p class="marketTop__sorting-lighText">Сортировать:</p>
            <div style="cursor: pointer" @click.prevent="store.sortPosition = !store.sortPosition"
                 class="marketTop__sorting-choosed">
                <span>{{ store.item[Number(store.sortPosition)] }}</span>
                <svg width="8" height="13" viewbox="0 0 8 13" fill="none" xmlns="http://www.w3.org/2000/svg">
                    <path d="M3.64645 12.3536C3.84171 12.5488 4.15829 12.5488 4.35355 12.3536L7.53553 9.17157C7.7308 8.97631 7.7308 8.65973 7.53553 8.46447C7.34027 8.2692 7.02369 8.2692 6.82843 8.46447L4 11.2929L1.17157 8.46447C0.976311 8.2692 0.659729 8.2692 0.464466 8.46447C0.269204 8.65973 0.269204 8.97631 0.464466 9.17157L3.64645 12.3536ZM3.5 2.18557e-08L3.5 12L4.5 12L4.5 -2.18557e-08L3.5 2.18557e-08Z" fill="white"></path>
                </svg>
            </div>
<!--            <svg :class="{active:SORT_ITEM[0]}" class="marketTop__sorting-arrow " width="10" height="6" viewbox="0 0 10 6" fill="none" xmlns="http://www.w3.org/2000/svg">-->
<!--                <path d="M1 1L5 5L9 1" stroke="#FF8231" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"></path>-->
<!--            </svg>-->
        </div>
<!--        <div class="marketTop__sorting-choose">-->
<!--            <a class="marketTop__search-popularSearch&#45;&#45;item" href="">Дешевле</a>-->
<!--            <a class="marketTop__search-popularSearch&#45;&#45;item" href="">Дороже </a>-->
<!--        </div>-->
    </div>
</template>

<script setup>
import {UseSortingPrice} from "@/Stores/SortingPriceStore";
const store = UseSortingPrice();
</script>

